List Deliveries
GET
/
webhooks
/
deliveries
cURL
curl "https://api.hedra.com/v3/webhooks/deliveries" \
-H "Authorization: Bearer $HEDRA_API_KEY"from hedra import Hedra
client = Hedra(api_key="YOUR_API_KEY")
client.webhooks.list_deliveries()
import { HedraClient } from "@hedra/sdk";
const client = new HedraClient({ apiKey: "YOUR_API_KEY" });
const pageableResponse = await client.webhooks.listDeliveries();
for await (const item of pageableResponse) {
console.log(item);
}
// Or you can manually iterate page-by-page
let page = await client.webhooks.listDeliveries();
while (page.hasNextPage()) {
page = await page.getNextPage();
}
// You can also access the underlying response
const response = page.response;
{
"data": [
{
"job_id": "<string>",
"job_accessible": true,
"model": "<string>",
"status": "PENDING",
"source": "per_job",
"attempts": 123,
"webhook_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"event_type": "job.completed",
"redelivery_count": 0,
"redeliveries": [],
"last_response_status": 123,
"last_error": {
"code": "UNKNOWN",
"message": "<string>",
"retryable": false,
"retry_after": 123,
"param": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"reason": "<string>",
"allowed": [
"<string>"
]
}
],
"replaced_by": "<string>",
"billing": {
"balance": 123,
"funding_url": "<string>",
"required": 123,
"currency": "USD",
"reason": "<string>"
}
},
"last_attempt_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}Authorizations
KeyAuthBearerToken
Primary scheme: Authorization: Key <key_id>:<secret>.
Query Parameters
Maximum items per page.
Required range:
1 <= x <= 100Opaque cursor from the previous page's next_cursor; omit for the first page.
Response
Successful Response
Was this page helpful?
⌘I
cURL
curl "https://api.hedra.com/v3/webhooks/deliveries" \
-H "Authorization: Bearer $HEDRA_API_KEY"from hedra import Hedra
client = Hedra(api_key="YOUR_API_KEY")
client.webhooks.list_deliveries()
import { HedraClient } from "@hedra/sdk";
const client = new HedraClient({ apiKey: "YOUR_API_KEY" });
const pageableResponse = await client.webhooks.listDeliveries();
for await (const item of pageableResponse) {
console.log(item);
}
// Or you can manually iterate page-by-page
let page = await client.webhooks.listDeliveries();
while (page.hasNextPage()) {
page = await page.getNextPage();
}
// You can also access the underlying response
const response = page.response;
{
"data": [
{
"job_id": "<string>",
"job_accessible": true,
"model": "<string>",
"status": "PENDING",
"source": "per_job",
"attempts": 123,
"webhook_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"event_type": "job.completed",
"redelivery_count": 0,
"redeliveries": [],
"last_response_status": 123,
"last_error": {
"code": "UNKNOWN",
"message": "<string>",
"retryable": false,
"retry_after": 123,
"param": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"reason": "<string>",
"allowed": [
"<string>"
]
}
],
"replaced_by": "<string>",
"billing": {
"balance": 123,
"funding_url": "<string>",
"required": 123,
"currency": "USD",
"reason": "<string>"
}
},
"last_attempt_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}